echo off
:**
:** This program is used to install the Serial Interface Kit files in the
:** specified disk drive and directory.
:**

:** If any parameters are specified, process them.
if not "%1"=="" goto :CheckUsage

:** Otherwise, display the introduction screen describing how to use this
:** program to install the Serial Interface Kit files.
:Introduction
cls
echo Hewlett-Packard                              Serial Interface Kit Setup Program 

echo     This program installs the Serial Interface Kit files in the disk drive
echo     and directory that you specify.  At this point, the current drive
echo     should be the drive containing the Serial Interface Kit disk.               
echo     To install the files, execute a command from the DOS prompt with the
echo     following form:                                                             
echo       SETUP "destination"                                                       
echo     where "destination" is the drive and, optionally, the directory in
echo     which you want the Serial Interface Kit files installed.  (If it
echo     doesn't already exist, any directory you specify is created
echo     automatically.)  For example, the command                                   
echo       SETUP C:\SERIAL                                                           
echo     will copy the files from the current drive to the C: drive, and put
echo     them in the directory \SERIAL.                                              
:** After displaying the introduction screen, quit.
goto :End

:CheckUsage
:** If any number of parameters except 1 is specified, display the
:** introduction screen.
if not "%2"=="" goto :Introduction

:** Display the installation specifications screen.
cls
echo Hewlett-Packard                              Serial Interface Kit Setup Program 

echo     Serial Interface Kit installation has been specified as follows:            
echo     Install from current drive to drive and directory                           
echo       %1                                                                                

:** Display a verification prompt to allow the user to notice any
:** incorrect specification.
echo     Verify that the destination drive and directory are specified 
echo     correctly.                                                                  
echo     If you need to quit this setup program to change the destination
echo     specification, press the [Ctrl] and [Break] keys simultaneously.  
echo     To continue the file installation, press [Enter].                           

:** Pause to allow the user to verify the specification.
pause

:** If the destination directory does not exist, try to create it.
if exist %1\nul goto :DestExists
mkdir %1
:** Verify that the directory was created.
if exist %1\nul goto :DestExists
echo Error: Can not create destination directory %1
goto :End

:DestExists

:** Display the installation in progress screen.
cls
echo Hewlett-Packard                              Serial Interface Kit Setup Program 

echo         Serial Interface Kit installation in progress.
echo         Installing from current drive to drive and directory                                                          
echo           %1                                                                                

:** Copy all the source files to the destination directory.
copy \*.* %1

:** Display a verification screen to allow the user to notice any
:** error messages.
echo     Verify that there are no error messages above indicating a problem
echo     installing the Serial Interface Kit files.                                      
echo     If you need to quit this setup program to correct any problems, press
echo     the [Ctrl] and [Break] keys simultaneously.  To complete the file
echo     installation, press [Enter].                                                    

:** Pause to allow the user to verify the installation.
pause

:** Display the closing screen.
cls
echo Hewlett-Packard                              Serial Interface Kit Setup Program 

echo     Serial Interface Kit file installation is complete.  If you want the
echo     Kermit program (and other programs) to be included in your search path,
echo     modify your PATH variable to include the path                                   
echo       %1                                                                                
echo     Now that the files are installed, you're ready to learn about Kermit
echo     protocol and the other applications you've received.  To get started,
echo     read the README.TXT file in the directory listed above.  (You can do
echo     this by using your favorite word processing program or the MORE command
echo     in DOS.  Or, if you have a printer connected to your computer, use the
echo     PRINT command in DOS to get a printed copy of the file.)                        

:End
